﻿@keyframes zoom-in-zoom-out {
    0% {
        transform: scale(0.8, 0.8);
    }

    100% {
        transform: scale(1, 1);
    }
}

.collapse-wrapper,
#palette-editor-container {
    animation: 0.4s zoom-in-zoom-out;
    transition: all 0.5s ease-in-out;
}

.nav-1 {
    display: none !important;
}

#pickr-container, #shades-container {
    position: absolute;
    z-index: 1;
    top: 20%;
    left: 275px;
    display: none;
    width: auto;
}

    #shades-container #shades-colors-container {
        width: 400px;
        height: 100px;
    }

.palette-container {
    animation: 0.4s zoom-in-zoom-out;
    text-align: center;
    height: 200px;
}

.full-screen .palette-container {
    height: 300px;
}

.full-screen .adthrive {
    display: none !important;
}

.add-palette-container, .remove-palette-container, .btn-shades-container, .btn-copy-color, .btn-palette-pickr {
    font-weight: 900;
    font-size: 15px;
    opacity: 0.4;
    cursor: pointer;
    width: auto;
}

.btn-palette-pickr {
    border-width: 1px;
    border-style: solid;
}

.btn-main-color {
    font-size: 18px;
    opacity: 0.4;
    position: absolute;
    top: 0;
    left: 0;
    /*border: 2px solid white;*/
}

.palette-name-container {
    width: auto;
    height: 80%;
}

.palette-color {
    border: none;
    width: 80%;
    text-align: center;
    font-weight: 900;
    font-size: 18px;
    border-width: 1px;
    border-style: solid;
    opacity: 0.5;
}

.palette-container .input-group {
    width: 50%;
}

@media (max-width: 1024px) {
    #pickr-container, #shades-container {
        top: 30%;
        left: 10px;
        width: 90%;
    }

        #shades-container #shades-colors-container {
            width: 100%;
        }

    .palette-color {
        font-weight: 700;
        font-size: 16px;
    }

    .color-name {
        font-size: 12px;
    }

    .add-palette-container, .remove-palette-container {
        font-size: 14px;
        font-weight: 700;
    }

    .palette-container .input-group {
        width: 75%;
    }
}

.IroWheel, .IroSlider {
    margin: auto;
}

.IroColorPicker .IroHandle:last-of-type {
    border-radius: 10%;
    outline: 2px solid black;
    box-shadow: inset 3px 3px 0px 0px rgb(255 255 255), inset -3px -3px 0px 0px rgb(255 255 255);
    -webkit-box-shadow: inset 3px 3px 0px 0px rgb(255 255 255), inset -3px -3px 0px 0px rgb(255 255 255)
}

#font-viewer-color, #font-viewer-black, #font-viewer-white {
    display: flex;
    align-items: center;
    justify-items: center;
    justify-content: center;
    overflow: auto;
}

    #font-viewer-color > div, #font-viewer-black > div, #font-viewer-white > div {
        letter-spacing: 2px;
        font-weight: 900;
        font-size: 120px;
        text-align: center;
        float: left;
    }

@media (max-width: 1024px) {
    #font-viewer-color > div, #font-viewer-black > div, #font-viewer-white > div {
        font-size: 40px !important;
    }
}

.blur {
    -webkit-filter: blur(2px);
    -moz-filter: blur(2px);
    -o-filter: blur(2px);
    -ms-filter: blur(2px);
    filter: blur(2px);
}

.color-tab {
    width: 32px;
    height: 32px;
    cursor: pointer;
    transition: transform 0.15s;
}

    .color-tab:hover, .color-tab.active {
        transform: scale(1.1);
    }

.var-scroll {
    max-height: 290px;
    /* max-height: calc(100vh - 220px); */
}

.full-screen .var-scroll {
    max-height: 490px;
    /* max-height: calc(100vh - 220px); */
}

.var-row {
    display: grid;
    grid-template-columns: 60px 1fr 90px;
    height: 30px;
}

.adthrive-sticky.adthrive-footer {
    text-align: center !important
}
